Forum Clubic

Gentoo & stages 1, 2, 3

Bonjour à tous
J’ai vu dans la doc gentoo que pour la version 2005.1, les installations à partir des stages 1 et 2 ne sont plus supportées. Qu’est-ce à dire? On ne compile plus maintenant gcc, glibc et tout le toutim?

Toutes est expliqué dans la FAQ de gentoo : http://www.gentoo.org/doc/fr/faq.xml#stage12

Ah ok merci, dans le handbook ce n’est pas précisé.

Pourtant il donne le lien ici : http://www.gentoo.org/doc/fr/handbook/inde…doc_chap4_sect2 dans la documentation…

Ah oui, j’avais pas vu, désolé…
Sinon, y’a t’il un vrai intérêt à passer par stage 1? Concrètement quelles sont les différences entre stage 1, 2 et 3 (qu’est ce qui est compilé en stage 1, puis en stage 2, puis en stage 3)?
Merci
ET

Mieux maîtriser le processus d’installation :wink: (ensuite, c’est sûr que si le passage de paramétres de compilation ne t’intéresse pas, un stage 1, ça va être rébarbatif :p).

Un stage 3 est très bien en première approche.

J’avais déjà installé une 2005.0, en x86 sur mon amd64. Mais c’était à partir d’un DVD d’un magazine à l’époque, et je ne sais plus si c’était un stage 1 ou 3 (stage 1 je crois). Quoiqu’il en soit, comme j’ai trop bidouillé cette install pour pouvoir installer des trucs “instables”, je préfèrerais recommencer à zéro, à partir d’une 2005.1, et en 64 bits cette fois. Vous avez des recommandations à ce sujet? Il parait qu’on peut faire marcher flash avec konqueror depuis peu, reste toujours le pb des codecs win32…

Hum, j’avais essayé pour konqueror, mais sans grand succés.

Enfin, ce n’est pas grâve, vu que quand j’ai besoin de ce plugin, je prends firefox.

Sinon, pas de souci pour les codecs win32 avec mplayer-bin (32 bits quoi), utile aussi pour avoir le plugin dans firefox 32bits (firefox-bin donc).

Avec ces deux programmes en binaire 32 bits, tu résouds tes soucis (ensuite, acrobat reader installe le plugin pour firefox-bin en passant, si tu t’en sers).

Bref, c’est extrêmement rare de devoir chrooter (mieux : dchroot) pour une application (perso, je le fais juste pour iscan, car il ne compile pas en 64bits, mais, j’ai bon espoir d’un arrangement de ce côté, un de ces quatre :p).

Donc, au final, je dirais, qu’une version amd64 est un peu plus difficile à installer qu’une athlon-xp, mais, bon, c’est dommage de ne pas utiliser un système 64bits à l’heure actuelle, vu que c’est possible.

Sinon, pour le gain, pas trop de différence chez moi (mais je n’ai pas testé en profondeur, bien que je pourrais, ma Gentoo 32bits étant encore en très bonne forme).

edit : mes CFLAGS, sans souci ->

Sur ma Gentoo 32bits ->

j_c_p > tu peux très bien avoir -march=athlon64 sur une gentoo x86… (sauf si j’ai mal compris et qu’il s’agit de 2 ordinateurs différents :paf: )

et pourquoi tu ne mets pas -fomit-frame-pointers dans ta gentoo x86_64, tu fais du débuggage ? :stuck_out_tongue:

equi : si tu mets -march=athlon64 sur une gentoo x86, tu es en x86_64 :p.

Sinon, pour le -fomit-frame-pointers, ça n’est pas très intéressant/utile sur une x86_64 (faudrait que je retrouve le lien :p).

edit : genre -> http://forums.gentoo.org/viewtopic-t-25741…d64+cflags.html

j_c_p > non c’est la variable CHOST qui définit si tes binaires seront 64bits ou 32

Exact pour CHOST (répondu trop vite :p) :

y’a pas de mal :smiley:

perso j’ai mis 6 mois à l’apprendre : quelqu’un m’avait sorti sur les forums gentoo que c’était le -march qui comptait jusqu’à ce que quelqu’un (Dumble ou TheStick je crois) me dise que non :paf:

et j’ai testé les 2 configurations : une gentoo x86 compilée avec -march=athlon64 et avec un kernel dont le “processor type” est Opteron/K8/AMD64 va clairement plus vite au niveau des compilations qu’une faite en athlon-xp

Pour flash avec konqueror en 64 bits:
http://forums.gentoo.org/viewtopic.php?t=216959
Apparemment ça marche plutôt bien… Je testerai

Je connaissais le topic ET ;).

Ah désolé…
Ca marche bien?

Pas vraiment (comme je te le disais dans mon premier post), mais bon, ce n’est pas très important, java fonctionne en 64bits, et c’est le principal pour surfer (sinon, je prends firefox, le cas échéant) :

nb : about:plugins dans la barre d’url de konqueror.

D’ac, mais c’est quand même génant. Beaucoup de sites utilisent flash, et devoir changer de navigateur en permanence, c’est pas génial. Java marche sur Firefox 32 bits ?

http://www.clubic.com/forum/index.php?show…0&#entry5992739

Sinon, perso, je ne me sers pratiquement jamais de java :smiley: (je suis toujours sous Konqueror en fait), mais je ne suis pas le seul utilisateur de mon pc ;).